function [hladiny] = stredy(centra, maticeA, maticeP)
%% Skript pro přiřazení označení centroidů
%% kepstrálním příznakům hledaného slova
%
%vstup centra
%matice centroidů z databáze
%
%vstup maticeA
%matice kepstrálních příznaků z nahrávky hledaného slova
%
%vstup maticeP
%matice přechodů z databáze
%
%vystup hladiny
%sled označení centroidů pro nahrávku hledaného slova
%

pocet = sum(sum(abs(centra))~=0);
centroidy = [];

for k=1:pocet;
    pozice_cen = findstr(maticeP(5,:),k);
    if size(pozice_cen) ~= 0
      if size(pozice_cen,2) > 1
        pocet = pocet - size(pozice_cen,2) +1;
        pozice_cen = pozice_cen(1,1);
      end
      centroidy (:,k) = centra(:,pozice_cen);
      clear pozice_cen;
      if k == pocet
        break;
      end
    end
end
pomoc_mat = zeros(1,pocet);

hladiny = [];
for k = 1:size(maticeA,2)
    
    for ko = 1:pocet
    pomoc_mat(1,ko) = norm(maticeA(:,k)-centroidy(:,ko));   %rozdíl kepstar od centroidu
        
        
    end
    
    pozice = min(pomoc_mat);
        
    hladiny(1,k) = findstr(pomoc_mat,pozice);
    
end

end